# NSX NDR

The `nsx-ndr` component deploys services related to *NSX Network Detection and Response*.

*NSX NDR* is closely correlated with the Lastline *Cloud Connector* (see `cloud-connector` helm
chart) and contains mostly components (called *workers*) that shovel data from an (on-premises)
NSX deployment to the Lastline cloud.

The helm chart has a helm *dependency* on `cloud-connector-common` to deploy a CRD registering
itself as *consumer* of the *Cloud Connector* (increasing its *consumer ref-count*) to avoid the
the latter being uninstalled while the former is present.

## Components

The `nsx-ndr` helm chart deploys
- kafka setup: during pre-install topics are created and configured,
- base workers: workers used in any type of deployment, and
- NTA workers: workers to be used only in case *NSX Intelligence* is deployed with the
  NTA (*Network Traffic Analysis*) component enabled.

By default, to determine if *NTA* is enabled, `nsx-ndr` checks for the presence of a feature
switch CRD (see `feature-switch` helm chart). This can be overridden via `values.yaml` to
explicitly enable this integration (see `deployments.peerVerticals.staticallyConfigured`).

The workers to run and their respective configurations are declared in `values.yaml` (see
`deployments.workerJobs`). These values are not intended to be changed by a caller - they are
merely defined within `values.yaml` to centrally declare them and simplify development work.
